CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

半径属性 (ActiveX)

2023-1-3 07:40| 发布者: admin| 查看: 544| 评论: 0|来自: AutoCAD

摘要: 指定圆弧、圆或位置标记的半径。

指定圆弧、圆或位置标记的半径。

支持的平台:仅窗口

签名

工 务 局:

object.Radius
对象

类型:圆弧圆形地理位置标记

此属性适用的对象。

属性值

只读:

类型:

圆弧、圆或位置标记的半径。

言论



圆的半径

例子

工 务 局:

Sub Example_Radius()
    ' This example creates an arc in model space.
    ' It then returns the radius of the arc.
    Dim arcObj As AcadArc
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    Dim startAngleInDegree As Double
    Dim endAngleInDegree As Double
    
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
    startAngleInDegree = 10#
    endAngleInDegree = 230#
    
    ' Convert the angles in degrees to angles in radians
    Dim startAngleInRadian As Double
    Dim endAngleInRadian As Double
    startAngleInRadian = startAngleInDegree * 3.141592 / 180#
    endAngleInRadian = endAngleInDegree * 3.141592 / 180#
    
    ' Create the arc object in model space
    Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian, endAngleInRadian)
    ZoomAll
    
    ' Find the radius of the arc
    radius = arcObj.radius
    MsgBox "The radius of the arc is " & arcObj.radius, , "Radius Example"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Radius()
    ;; This example creates an arc in model space.
    ;; It then returns the radius of the arc.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the circle
    (setq centerPoint (vlax-3d-point 0 0 0)  
          radius 5
          startAngleInDegree 10
          endAngleInDegree 230)
    
    ;; Convert the angles in degrees to angles in radians
    (setq startAngleInRadian (/ (* startAngleInDegree 3.141592) 180))
    (setq endAngleInRadian (/ (* endAngleInDegree 3.141592) 180))
    
    ;; Create the arc object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq arcObj (vla-AddArc modelSpace centerPoint radius startAngleInRadian endAngleInRadian))
    (vla-ZoomAll acadObj)
    
    ;; Find the radius of the arc
    (alert (strcat "The radius of the arc is " (rtos (vla-get-Radius arcObj))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 07:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部